#define cvs 20070725
%define vnc_version 3.3.7

Name:           nucleo
Version:        0.7.5
Release:        1%{?dist}
Summary:        Nucleo

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://insitu.lri.fr/~roussel/projects/nucleo/
Source0:        http://insitu.lri.fr/metisse/download/nucleo/nucleo-%{version}.tar.bz2
Source1:        http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Patch0:         nucleo-0.7.5-gcc43.patch
Patch1:         nucleo-0.7.5-gcc44.patch
Patch2:         nucleo-0.7.5-private.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool

BuildRequires:  avahi-compat-libdns_sd-devel
BuildRequires:  expat-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  gd-devel
BuildRequires:  gnutls-devel
BuildRequires:  libexif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  opencv-devel
BuildRequires:  qt4-devel

BuildRequires: libXmu-devel
BuildRequires: libXaw-devel

#Requires:      vnc >= 4.1.2
Requires:       %{name}-libs = %{version}-%{release}


%description
Núcleo, a toolkit for exploring new uses of video and new
human-computer interaction techniques.


%package        devel
Summary:        Dynamic development library for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       xorg-x11-proto-devel
Requires:       libGLU-devel
Requires:       freetype-devel
Requires:       pkgconfig

%description    devel
Dynamic development library for %{name}.

%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
Libraries for %{name}.


%prep
%setup -q
%setup -q -D -T -a 1
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .gcc44
%patch2 -p1 -b .priv


#This will disable rpath from generated configure
rm -rf autom4te.cache libtool *.m4
autoreconf -vif
#sh ./build-utils/bootstrap


%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

pushd vnc-%{vnc_version}-unixsrc
%configure --with-x --with-installed-zlib
make %{?_smp_mflags}
popd

%configure --with-x \
  --with-vnc=%{_builddir}/%{name}-%{version}/vnc-%{vnc_version}-unixsrc

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER LICENSE NEWS README
%exclude %{_bindir}/nucleo-config
%{_bindir}/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%exclude %{_bindir}/nucleo-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so



%changelog
* Tue Jun 16 2009 kwizart < kwizart at gmail.com > - 0.7-5-1
- Update to 0.7.5
- Patch for gcc43 and gcc44
- Fix pkg-config private support

* Wed Jul 25 2007 kwizart < kwizart at gmail.com > - 0.7-0.1.20070725cvs
- Update to cvs 20070725

* Mon Feb 05 2007 kwizart < kwizart at gmail.com > - 0.6-2
- fix 64bit
- ffmpeg rebuild

* Thu Jan 25 2007 kwizart < kwizart at gmail.com > - 0.6-1
- Initial Release
